#### ApplyOutputEvent

Call the argument with all current grobs during interpreting phase.

Syntax

\applyoutput FUNC

arguments to func are 1. the grob, 2. the originating context, 3. context where FUNC is called.

Music types: general-music and layout-instruction

Accepted by: Output_property_engraver, Swallow_engraver and Swallow_performer

Properties:

`name` (symbol):
  `'ApplyOutputEvent`

  Name of this music object

`internal-class-name` (string):
  `Event`

  C++ class to use for this Music object

`iterator-ctor` (procedure):
  `Output_property_music_iterator::constructor`

  Function to construct music-event-iterator object for this Music

`types` (list):
  `'(general-music layout-instruction)`

  The types of this music object; determines by what engraver this music expression is processed.

Read comments on this page, or add one. This page is for LilyPond-2.2.5 (stable-branch).